declare module '*.vue' {
  import Vue, { VNode } from 'vue';
  import vant from 'vant';

  export default Vue;

  declare global {
    interface Window {
      Vue: Vue;
      vant: vant;
    }
    namespace JSX {
      interface Element extends VNode {}
      interface ElementClass extends Vue {}
      interface IntrinsicElements {
        [elem: string]: any;
      }
    }
  }

  declare module 'vue/types/vue' {
    interface Vue {}
  }
}

declare module '*.svg' {
  let svg: any;
  export default svg;
}

declare module 'svga.lite/db' {
  const DB: any;
  export default DB;
}

declare module 'svga.lite/parser.1x' {
  const Parser1x: any;
  export default Parser1x;
}

declare module 'svga.lite/util' {
  const utils: any;
  export default utils;
  export const version = (fileData: any) => number;
}

declare module '@mrtujiawei/web-utils' {
  const utils: any;
  export default utils;
}
